import { Flex, Space } from "antd";
import React, { CSSProperties } from "react";
import styles from "./index.less";

interface DescriptionItemProps {
  value: any;
  name: string;
  unit: string;
  valueStyle?: CSSProperties;
  unitStyle?: CSSProperties;
  labelStyle?: CSSProperties;
  align?: CSSProperties["alignItems"];
}

const BaseDesc: React.FC<DescriptionItemProps> = (props) => {
  const {
    value,
    name,
    unit,
    valueStyle = {},
    unitStyle = {},
    labelStyle = {},
    align = "flex-start",
  } = props;

  return (
    <Flex vertical align={align}>
      <Space align="end" size="small">
        <div className={styles.value} style={valueStyle}>
          {value}
        </div>
        <div className={styles.unit} style={unitStyle}>
          {unit}
        </div>
      </Space>
      <div className={styles.label} style={labelStyle}>
        {name}
      </div>
    </Flex>
  );
};

export default BaseDesc;
