import { ClockCircleFilled, EnvironmentFilled } from '@ant-design/icons';
import styles from './index.less';

export default ({ item, hideTag, style }: { 
  item: PhysicalsignApi.TzzsLivePhysicalSignInfluenceFactorQuestionVO, 
  hideTag?: boolean,
  style?: React.CSSProperties
}) => {
  return (
    <div className={styles.container} style={style}>
      <img src={item?.eventImageUrl} alt="" className={styles.img} />
      <div className={styles.descContent}>
        <div className={styles.title}>{item?.conditionName}</div>
        {!hideTag && (
          <div className={styles.tagContainer}>
            <div className={styles.tag}>{item?.eventStatusText}</div>
            <div
              className={styles.tag}
              style={{ backgroundColor: '#BFC6CE', marginLeft: 8 }}
            >
              权重{item?.conditionWeight}
            </div>
          </div>
        )}
        <div className={styles.address}>
          <ClockCircleFilled />
          <span>{item?.eventCreateTime}</span>
        </div>
        <div className={styles.address} style={{ marginTop: 5 }}>
          <EnvironmentFilled />
          <span>{item?.eventAddress}</span>
        </div>
      </div>
    </div>
  );
};
