import LineCharts from "../LineCharts";
import styles from "./index.less";
import { useRequest } from "ahooks";
import services from "@/services";
import { getColorByIndex } from "@/utils/ui";

export default ({
  data,
  lineData,
}: {
  data: PhysicalsignApi.IndexListItem;
  lineData?: any[];
}) => {
  const { data: list, loading } = useRequest(() =>
    services.Physicalsign.getIndexSystem(data.indexId)
  );

  return (
    <div className={styles.container}>
      <div className={styles.topContent}>
        <img src={data?.icon} alt="" className={styles.icon} />
        <div
          className={styles.count}
          title={data?.qualitySign as string}
          style={{ color: getColorByIndex(data?.qualitySign) }}
        >
          {data?.qualitySign}
        </div>
        <div className={styles.name}>{data?.indexName}</div>
        <div
          className={styles.tag}
          style={{ backgroundColor: data?.statusColor }}
        >
          {data?.statusDescription}
        </div>
        {/* <div style={{ marginTop: 20 }}>
          <LineCharts
            data={lineData ?? [10, 90, 70, 80, 20, 80]}
            style={{ width: 200, height: 100 }}
            colorStops={[
              {
                offset: 0,
                color: "#D0E4FF", // 0% 处的颜色
              },

              {
                offset: 1,
                color: "#ACCEFC", // 100% 处的颜色
              },
            ]}
          />
        </div> */}
      </div>
      <div className={styles.bottomContent}>
        <div>
          <img
            src={require("@/assets/images/header/sign3.png")}
            alt=""
            className={styles.icon}
          />
          <span className={styles.text}>指标</span>
        </div>
        <div>
          <span className={styles.count}>{list?.data?.indexTotal ?? 0}</span>
          <span className={styles.text}>项</span>
        </div>
      </div>
    </div>
  );
};
