
import services from '@/services';
import { useRequest } from 'ahooks';
import { useEffect } from 'react';
import styles from './index.less';
import TopItem from './TopItem';
import { Spin } from 'antd';
export default ({ items }: { items: any }) => {
  const { data, runAsync,loading } = useRequest(
    services.Physicalsign.getlistTopNItems,
    { manual: true },
  );
  useEffect(() => {
    if (!items) return;
    runAsync({
      objectId: 1,
      indexId: items.indexId,
      n: 5,
    });
  }, [items]);
  return (
    <div className={styles.container}>
      {data?.data?.length ? (
        <>
          {data?.data?.map((item, index) => {
            return <TopItem key={index} data={item} level={index + 1} />;
          })}
        </>
      ) : (
     <>   {loading ?<Spin/>  : <span>暂无数据</span>}</>
      )}
    </div>
  );
};
