import styles from "./index.less";
import Header from "./Header";
import SidebarMenu from "./SidebarMenu";
import { Outlet } from "@umijs/max";
import MessageStore from "./messageStore";
import { ConfigProvider, theme, App } from "antd";
import zhCN from "antd/es/locale/zh_CN";
import autofit from "autofit.js";
export default function Layout() {
  autofit.init({
    dh: 1080,
    dw: 1920,
    el: "body",
    resize: true,
  });

  return (
    <ConfigProvider
      locale={zhCN}
      theme={{
        components: {
          Table: {
            headerBg: "#E1EBF5",
            headerColor: "rgb(137, 146, 167)",
            headerBorderRadius: 25,
          },
        },
      }}
    >
      <App message={{ maxCount: 1 }} style={{ width: "100%", height: "100%" }}>
        <div className={styles.container}>
          <MessageStore />
          <Header></Header>
          <SidebarMenu></SidebarMenu>
          <div className={styles.content}>
            <Outlet />
          </div>
        </div>
      </App>
    </ConfigProvider>
  );
}
