import styles from "./index.less";
const Tabs = ({
  items,
  activeKey,
  onClick,
}: {
  items: { label: string; key: string }[];
  activeKey: string;
  onClick: (val: string) => void;
}) => {
  return (
    <div className={styles.warp}>
      {items?.map((item) => {
        return (
          <div
            className={styles.item}
            key={item.key}
            style={
              item.key === activeKey
                ? {
                    color: "white",
                    backgroundColor: "rgb(46, 147, 255)",
                  }
                : {}
            }
            onClick={() => {
              onClick(item?.key);
            }}
          >
            {item.label}
          </div>
        );
      })}
    </div>
  );
};
export default Tabs;
