import styles from "./index.less";

interface RoadInfoCardProps {
  style?: React.CSSProperties;
  data: {
    label: string;
    count: string | number;
    unit: string;
  };
}

const RoadInfoCard: React.FC<RoadInfoCardProps> = ({ style, data }) => {
  return (
    <div className={styles.warp} style={style}>
      <div>{data.label}</div>
      <div>
        <span className={styles.rightCount}>{data.count}</span>
        <span>{data.unit}</span>
      </div>
    </div>
  );
};

export default RoadInfoCard;
