export const advertisementMockData = {
  // 态势总览数据
  situationOverview: {
    currentIndex: {
      cqi: 95.7,
      time: "2024-01-18 10:00:00",
      status: "理想态"
    },
    areaIndexes: [
      { objectName: "锦江区", cqi: 95 },
      { objectName: "青羊区", cqi: 92 },
      { objectName: "金牛区", cqi: 88 },
      { objectName: "武侯区", cqi: 91 },
      { objectName: "成华区", cqi: 89 },
      { objectName: "高新区", cqi: 93 }
    ]
  },

  // 问题概况数据
  problemOverview: {
    total: 262,
    pending: 22,
    rate: 89.2,
    trend: [
      { date: "08.15", value: 180 },
      { date: "08.23", value: 200 },
      { date: "09.01", value: 100 },
      { date: "09.07", value: 250 },
      { date: "09.15", value: 300 }
    ]
  },

  // 领域事件态势分布
  domainEvents: {
    // 门前三包
    shop: {
      count: 986,
      details: {
        basicInfo: {
          totalShops: 152322,      // 全市商户数
          signedShops: 152322,     // "门前三包"签户数
          signRate: 98.5           // "门前三包"签约率
        },
        todayEvents: {
          reported: 35,
          pending: 8,
          events: [
            {
              title: "门前三包违规",
              time: "2024-01-18 10:20:20",
              address: "天府新区华阳街道水杉街151号",
              image: "https://example.com/event-image-1.jpg"
            }
          ]
        }
      }
    },

    // 共享单车
    bikeSharing: {
      count: 756,
      details: {
        basicInfo: {
          totalBikes: 1313121      // 当前全市共享单车总体数量
        },
        areaDistribution: [
          { name: "武侯区", value: 45, total: 100 },
          { name: "锦江区", value: 38, total: 100 }
        ],
        maintenanceUnits: [
          { name: "美团单车", count: 32 },
          { name: "哈啰单车", count: 28 }
        ],
        todayEvents: {
          reported: 28,
          pending: 6,
          events: [
            {
              title: "共享单车乱停放",
              time: "2024-01-18 09:15:20",
              address: "高新区天府大道1528号",
              image: "https://example.com/bike-event-1.jpg"
            }
          ]
        }
      }
    },

    // 户外广告招牌
    signboard: {
      count: 432,
      details: {
        basicInfo: {
          totalAds: 1313121,       // 全市批准设置户外广告数
          totalSignboards: 1313121  // 全市批准设置招牌数
        },
        areaDistribution: [
          { name: "武侯区", value: 42, total: 100 },
          { name: "锦江区", value: 36, total: 100 }
        ],
        responsibleUnits: [
          { name: "成都广告管理公司", count: 156 },
          { name: "城市广告服务中心", count: 142 }
        ],
        todayEvents: {
          reported: 15,
          pending: 4,
          events: [
            {
              title: "违规广告",
              time: "2024-01-18 08:30:20",
              address: "锦江区东大街",
              image: "https://example.com/ad-event-1.jpg"
            }
          ]
        }
      }
    }
  }
}; 