import { useMemo } from "react";
import ReactECharts from "echarts-for-react";
import styles from "./index.less";
import { Flex } from "antd";
import { barOption } from "./option";
import { cloneDeep } from 'lodash';

interface SituationOverviewProps {
  data?: any;
  loading?: boolean;
}

/** @name 区域分布 */
const SituationOverview: React.FC<SituationOverviewProps> = ({ data }) => {
  const newBarOption = useMemo(() => {
    const areaData = data || [];
    const xAxisData = areaData.map((item: any) => item.name);
    const seriesData = areaData.map((item: any) => ({
      value: item.value,
      itemStyle: {
        color: '#8d8dff',
      },
    }));

    const temp = cloneDeep(barOption);
    (temp.series as any)[0].data = seriesData;
    (temp.xAxis as any)[0].data = xAxisData;
    (temp.xAxis as any)[1].data = areaData.map((item: any) => item.value);
    return temp;
  }, [data]);

  return (
    <div className={styles.container}>
      <Flex align="center" justify="space-between">
        <div className={styles.header_title}>区域分布</div>
      </Flex>

      <div className={styles.gaugeTitle}>单位：件</div>
      <div className={styles.barChart}>
        <ReactECharts
          option={newBarOption}
          style={{ width: "100%", height: 210 }}
        />
      </div>
    </div>
  );
};

export default SituationOverview;
