import styles from "./index.less";

interface IndexItemProps {
  data: {
    label: string;
    count: number | string;
    unit: string;
    icon?: string;
  };
  showIcon?: boolean;
}

const IndexItem: React.FC<IndexItemProps> = ({ data, showIcon = true }) => {
  return (
    <div className={styles.container}>
      {showIcon && (
        <div className={styles.icon}>
          <img src={data?.icon} alt="" />
        </div>
      )}
      <div>
        <div>
          <span className={styles.count}>{data?.count}</span>
          <span>{data?.unit}</span>
        </div>
        <div>{data?.label}</div>
      </div>
    </div>
  );
};

export default IndexItem;
