import React from "react";
import styles from "./index.less";
const PipeInfoCard = ({
  showRignt = true,
  style,
  data,
}: {
  data: {
    label: string;
    count: string;
    unit: string;
    rCount?: string;
    rUnit?: string;
  };
  showRignt?: boolean;
  style?: React.CSSProperties;
}) => {
  return (
    <div className={styles.container} style={style}>
      <div className={styles.countWarp}>
        <span>
          <span className={styles.count}>{data?.count}</span>&nbsp;{data?.unit}
        </span>
        {showRignt && (
          <span>
            <span className={styles.count}>{data?.rCount}</span>&nbsp;
            {data?.rUnit}
          </span>
        )}
      </div>
      <div style={{ marginTop: 7 }}>{data?.label}</div>
    </div>
  );
};
export default PipeInfoCard;
