import styles from "./index.less";

interface ProgressBarProps {
  value?: number;
  total?: number;
  unit?: string;
  percent?: string;
  style?: React.CSSProperties;
}

const ProgressBar: React.FC<ProgressBarProps> = ({
  value = 0,
  total = 100,
  unit,
  percent,
  style
}) => {
  const percentage = (value / total) * 100;
  
  return (
    <div className={styles.container}>
      <div className={styles.barcontainer} style={style}>
        <div 
          className={styles.bar} 
          style={{ 
            width: `${percentage}%`,
            height: style?.height
          }}
        />
      </div>
      <div className={styles.countWarp}>
        <span>
          <span className={styles.count}>{value}</span>
          {unit && <span className={styles.unit}>{unit}</span>}
        </span>
        {percent && (
          <span style={{marginLeft:20}}>
            <span className={styles.count}>{percent}</span>
            <span className={styles.unit}>%</span>
          </span>
        )}
      </div>
    </div>
  );
};

export default ProgressBar;
