export const municipalFacilitiesMockData = {
  // 态势总览数据
  situationOverview: {
    currentIndex: {
      cqi: 95.7,
      time: "2024-01-18 10:00:00",
      status: "理想态"
    },
    areaIndexes: [
      { objectName: "锦江区", cqi: 95 },
      { objectName: "青羊区", cqi: 92 },
      { objectName: "金牛区", cqi: 88 },
      { objectName: "武侯区", cqi: 91 },
      { objectName: "成华区", cqi: 89 },
      { objectName: "高新区", cqi: 93 }
    ]
  },

  // 问题概况数据
  problemOverview: {
    total: 262,
    pending: 22,
    rate: 89.2,
    trend: [
      { date: "08.15", value: 180 },
      { date: "08.23", value: 200 },
      { date: "09.01", value: 100 },
      { date: "09.07", value: 250 },
      { date: "09.15", value: 300 }
    ]
  },

  // 领域事件态势分布
  domainEvents: {
    // 管廊数据
    pipe: {
      count: 986,
      details: {
        basicInfo: {
          totalLength: 2225632,  // 总长度
          completedLength: 1313121, // 已建成长度
          inProgressLength: 912511  // 在建长度
        },
        areaDistribution: [
          { name: "武侯区", value: 40, total: 100 },
          { name: "锦江区", value: 35, total: 100 }
        ],
        facilityInfo: [
          { label: "监控设备", count: 223, unit: "个" },
          { label: "消防设备", count: 156, unit: "个" }
        ],
        todayEvents: {
          reported: 35,
          pending: 8,
          events: [
            {
              title: "管廊设备故障",
              time: "2024-01-18 10:20:20",
              address: "天府新区华阳街道水杉街151号",
              image: "https://example.com/event-image-1.jpg"
            }
          ]
        }
      }
    },

    // 道路数据
    road: {
      count: 756,
      details: {
        basicInfo: {
          totalLength: 18632,    // 总里程
          mainRoadLength: 5632,  // 主干道里程
          subRoadLength: 13000   // 次干道里程
        },
        areaDistribution: [
          { name: "武侯区", value: 45, total: 100 },
          { name: "锦江区", value: 38, total: 100 }
        ],
        todayEvents: {
          reported: 28,
          pending: 6,
          events: [
            {
              title: "道路破损",
              time: "2024-01-18 09:15:20",
              address: "高新区天府大道1528号",
              image: "https://example.com/road-event-1.jpg"
            }
          ]
        }
      }
    },

    // 桥梁数据
    bridge: {
      count: 432,
      details: {
        basicInfo: {
          totalCount: 1313121  // 总数量
        },
        areaDistribution: [
          { name: "武侯区", value: 42, total: 100 },
          { name: "锦江区", value: 36, total: 100 }
        ],
        maintenanceUnits: [
          { name: "成都市政工程公司", count: 32 },
          { name: "成都建设集团", count: 28 }
        ],
        todayEvents: {
          reported: 15,
          pending: 4,
          events: [
            {
              title: "桥梁检修",
              time: "2024-01-18 08:30:20",
              address: "锦江区东大街人行天桥",
              image: "https://example.com/bridge-event-1.jpg"
            }
          ]
        }
      }
    },

    // 照明设施数据
    lighting: {
      count: 865,
      details: {
        basicInfo: {
          totalLights: 2225632,     // 总灯盏数
          ledLights: 1313121,       // LED灯盏数
          traditionalLights: 912511  // 传统灯盏数
        },
        status: {
          normal: 632,
          fault: 70
        },
        areaDistribution: [
          { name: "武侯区", value: 38, total: 100 },
          { name: "锦江区", value: 42, total: 100 }
        ],
        maintenanceUnits: [
          { name: "成都照明管理公司", count: 1200 },
          { name: "城市照明服务中心", count: 980 }
        ],
        todayEvents: {
          reported: 25,
          pending: 7,
          events: [
            {
              title: "路灯故障",
              time: "2024-01-18 19:45:20",
              address: "青羊区太升路",
              image: "https://example.com/light-event-1.jpg"
            }
          ]
        }
      }
    },

    // 智慧照明数据
    smartLighting: {
      count: 654,
      details: {
        monthlyStats: [
          { label: "亮灯率", count: 98.5, unit: "%", icon: require("@/assets/images/municipalFacilities/lightIcon.png") },
          { label: "完好率", count: 96.8, unit: "%", icon: require("@/assets/images/municipalFacilities/star.png") },
          { label: "控制设备在线率", count: 99.2, unit: "%", icon: require("@/assets/images/municipalFacilities/xq.png") },
          { label: "全市照明能耗", count: 223312, unit: "KW/h" }
        ],
        control: {
          lightingTime: {
            on: "20:00:00",
            off: "06:30:00"
          },
          brightness: {
            min: 20,
            max: 120
          }
        },
        defects: {
          totalName: "故障总数",
          totalCount: 22,
          totalUnit: "件",
          timelyName: "处置及时率",
          timelyCount: 89.7,
          timelyUnit: "%"
        },
        areaDistribution: [
          { name: "武侯区", value: 42, total: 100 },
          { name: "锦江区", value: 38, total: 100 }
        ],
        todayEvents: {
          reported: 18,
          pending: 5,
          events: [
            {
              title: "智能控制器故障",
              time: "2024-01-18 21:10:20",
              address: "高新区天府五街",
              image: "https://example.com/smart-light-event-1.jpg"
            }
          ]
        }
      }
    }
  }
}; 