import * as echarts from "echarts";

export const barOption: echarts.EChartsOption = {
  tooltip: {
    show: true,
  },
  legend: {
    show: false,
  },
  grid: {
    top: "10%",
    left: "5%",
    right: "5%",
    bottom: "20%",
  },
  xAxis: [
    {
      type: "category",
      boundaryGap: false,

      show: true,
      axisLabel: {
        fontSize: 16,
      },
      axisLine: {
        show: false,
      },
      axisTick: {
        show: false,
      },
    },
    {
      type: "category",
      boundaryGap: false,
      position: "top",
      show: true,
      axisLabel: {
        fontSize: 18,
        color:'rgb(44, 134, 255)',
        fontWeight:700
      },
      axisLine: {
        show: false,
      },
      axisTick: {
        show: false,
      },
      offset: 0,
    },
  ],
  yAxis: {
    type: "value",
    splitLine: {
      show: false,
    },
    max: 100,
    show: false,
    axisLabel: {
      show: false,
    },
  },

  series: [
    {
      type: "bar",
      barWidth: 20,
      barGap: 20,
      itemStyle: {
        borderRadius: 18,
      },

      showBackground: true,
      backgroundStyle: {
        borderRadius: 18,
      },

      data: [3, 3, 4, 2, 5, 6, 7],
    },
  ],
};
