// import { OptionsDto } from '@/components/TabSwitch';
import { request } from '@umijs/max';

/**
 *
 * @param url 接口地址
 * @returns 首页体征physicalsignindex
 */
const IS_PROD = process.env.NODE_ENV === 'production' ? true : false;
export const reqBaseUrl = IS_PROD ? '/apis/physicalsignindex' : '/apis/physicalsignindex';
const urlProxyApis = (url: string) => {
  return `${reqBaseUrl}${url}`;
};

// export async function pagePhysicalSignIndex(
//   params: PhysicalsignConfigApi.PagePhysicalSignIndexParams
// ): Promise<PhysicalsignConfigApi.Result<PhysicalsignConfigApi.TzzsPhysicalSignIndexVO>> {
//   const { page, count, hierarchy, indexType } = params;  
//   // 将 page 和 count 拼接到 URL 中
//   const url = urlProxyApis(`/physicalsignindex/physicalSignIndex/pagePhysicalSignIndex?page=${page}&count=${count}`);  
//   return request(url, {
//     method: 'POST',
//     data: {
//       hierarchy,
//       indexType,
//     },
//   });
// }

// 通用数据服务API
export async function getGenericDataPage(
  module: string,
  type: string,
  params: PhysicalsignConfigWithGenericDataApi.PageParams
): Promise<PhysicalsignConfigWithGenericDataApi.Result<PhysicalsignConfigWithGenericDataApi.GenericDocument>> {
  const { page, size, ...searchParams } = params;
  return request(urlProxyApis(`/generic/dataservice/${module}/${type}/page`), {
    method: 'POST',
    params: {
      page,
      size
    },
    data: searchParams
  });
}

export async function createGenericData(
  module: string,
  type: string,
  data: any
): Promise<PhysicalsignConfigWithGenericDataApi.Result<PhysicalsignConfigWithGenericDataApi.GenericDocument>> {
  return request(urlProxyApis(`/generic/dataservice/${module}/${type}`), {
    method: 'POST',
    data
  });
}

export async function updateGenericData(
  module: string,
  type: string,
  id: string,
  data: any
): Promise<PhysicalsignConfigWithGenericDataApi.Result<PhysicalsignConfigWithGenericDataApi.GenericDocument>> {
  return request(urlProxyApis(`/generic/dataservice/${module}/${type}/${id}`), {
    method: 'PUT',
    data
  });
}

export async function deleteGenericData(
  module: string,
  type: string,
  id: string
): Promise<PhysicalsignConfigWithGenericDataApi.Result<void>> {
  return request(urlProxyApis(`/generic/dataservice/${module}/${type}/${id}`), {
    method: 'DELETE'
  });
}

// 添加初始化数据的方法
export async function initializeGenericData(
  module: string,
  type: string,
  initialData: any[]
): Promise<PhysicalsignConfigWithGenericDataApi.Result<void>> {
  return request(urlProxyApis(`/generic/dataservice/${module}/${type}/init`), {
    method: 'POST',
    data: initialData
  });
}
