declare namespace PhysicalsignConfigWithGenericDataApi {
  interface Result<T> {
    code: number;
    msg: string;
    data: {
      total: number;
      items: T[];
      page: number;
      size: number;
    };
    success: boolean;
  }

  interface GenericDocument {
    id: string;
    type: string;
    module: string;
    data: any;
    createTime: number;
    updateTime: number;
  }

  interface PageParams {
    page: number;
    size: number;
    sortField?: string;
    sortOrder?: 'asc' | 'desc';
    [key: string]: any;
  }
}
  
