declare namespace PhysicalsignApi {
  interface Result<T> {
    code: number;
    msg: string;
    data: T[];
    success: true;
  }

  interface QueryTzzsPhysicalSignIndexInstanceDataParams {
    objectId?: string;
    hierarchyList?: string;
    indexType?: string;
    startTime?: string;
    endTime?: string;
    latest?:boolean
  }
  interface IndexListItem {
    icon: string;
    indexId: string;
    indexName: string;
    indexHierarchy: number;
    indexIcon: string;
    latest: boolean;
    qualitySign: number | string;
    time: string;
    status: number;
    statusColor: string;
    statusDescription: string;
  }
  interface QueryTzzsPhysicalSignIndexInstanceDataList {
    iotPerceptionCases: number;
    cityNameCases: number;
    manualInspectionCases: number;
    otherCases: number;
    indexList: indexList[];
    time: string;
  }

  interface SignWeightSystem {
    color: string;
    target: string;
    source: string;
    level: number;
  }
  //宏观体征底部tab数据
  interface MacroSignIndexTabs {
    id: string;
    name: string;
    icon: string;
    qualitySign: string | number;
    childrens?: Array<{
      id: string;
      name: string;
      icon: string;
      qualitySign: string | number;
    }>;
  }
  
  interface SignIndexTabs {
    name: string;
    id: string;
  }
  
  /**宏观体征首页接口参数 */
  interface MacroscopicPhysicalSignParams {
    objectId?: string;
    indexType?: string;
    physicalSignType?: string;
  }
  /**影响体征Top5 */
  interface ListTopNItems {
    image: string;
    name: string;
    fullName: string;
    percentage: number;
    count: number;
    deduction: number;
    weight: number;
    time: string;
    conditionName:string
  }
  interface MiddlePolygonItem {
    indexList: any;
    objectId: string;
    objectName: string;
    qualitySign: string;
    shape: string;
    bgColor: string;
    bgOpacity: string;
    borderColor: string;
    borderOpacity: string;
    borderSize: string;
    points: number[][];
    centerX: string;
    centerY: string;
  }

  interface GroupObjectPhysicalSignIndexItem {
    objectId: string;
    objectName: string;
    cqi: string;
    indexs: {
      name: string;
      value: string;
    };
    [];
  }
  
  interface DepartIndustryIndexObjectVo {
    objectId: string;
    objectName: string;
    cqi: string;
    icon: string;
  }
  
  interface ObjectShapeAndIndexVo {
    objectId: string;
    objectName: string;
    qualitySign: string;
    shape: string;
    bgColor: string;
    bgOpacity: string;
    borderColor: string;
    borderOpacity: string;
    borderSize: string;
    points: number[][];
    centerX: string;
    centerY: string;
  }
  
  
  interface IndexVo {
    id?: string;
    name: string;
    value: string;
  }

  interface RoadAndGridIndexVo {
    objectId: string;
    objectName: string;
    cqi: string;
    type: string;
    volume: string;
    indexs: IndexVo[];
  }
  
  interface IndexObjectGridGroupVo {
    objGroup: string;
    objects: RoadAndGridIndexVo[];
  }
  
  interface IndexSystemVO {
    id: string;
    indexType: string;
    hierarchy: string;
    lastFlag: string;
    name: string;
    weight: number;
    percentageScore: number;
    actualScore: number;
    totalScore: number;
    lostScore: number;
    parentId: string;
    fullChain: string;
    indexTotal: number;
    indexTotal:string
    children: IndexSystemVO[];
  }
  
  interface TzzsLivePhysicalSignInfluenceFactorQuestionQueryDTO {
    objectId?: string;
    indexId?: string;
    // 添加其他可能的查询参数
  }

  interface TzzsLivePhysicalSignInfluenceFactorQuestionVO {
    id: string;
    eventId: string;
    eventStatus: string;
    eventStatusText: string;
    eventCreateTime: string;
    eventAddress: string;
    eventImageUrl: string;
    indexId: number;
    conditionCode: string;
    conditionName: string;
    conditionWeight: number;
    longitude: string;
    latitude: string;
  }
}
  
